Package picard.reference

## Class ExtractSequences

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.reference.ExtractSequences

-     @DocumentedFeature
      public class ExtractSequences
      extends CommandLineProgram

  Simple command line program that allows sub-sequences represented by an interval list to be extracted from a reference sequence file.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `File` | `INTERVAL_LIST` |
    `int` | `LINE_LENGTH` |
    `File` | `OUTPUT` |

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExtractSequences()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected int` | `doWork()` | Do the work after command line has been parsed.
    `static void` | `main​(String[] args)` |
    `protected boolean` | `requiresReference()` |

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `customCommandLineValidation, getCommandLine, getCommandLineParser, getDefaultHeaders, getFaqLink, getMetricsFile, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, setDefaultHeaders, useLegacyParser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INTERVAL_LIST

          @Argument(doc="Interval list describing intervals to be extracted from the reference sequence.")
          public File INTERVAL_LIST

    - #### OUTPUT

          @Argument(shortName="O",
                    doc="Output FASTA file.")
          public File OUTPUT

    - #### LINE_LENGTH

          @Argument(doc="Maximum line length for sequence data.")
          public int LINE_LENGTH

  - ### Constructor Detail

    - #### ExtractSequences

          public ExtractSequences()

  - ### Method Detail

    - #### main

          public static void main​(String[] args)

    - #### requiresReference

          protected boolean requiresReference()

      Overrides:
        `requiresReference` in class `CommandLineProgram`

    - #### doWork

          protected int doWork()

      Description copied from class: `CommandLineProgram`
      Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.
      Specified by:
        `doWork` in class `CommandLineProgram`
      Returns:
        program exit status.